up-imapproxy-1.2.7-0.2.rc2.PU_IAS.5.i386.rpm


Advertisement

Description

up-imapproxy - University of Pittsburgh IMAP Proxy

Distribution: CentOS 5
Repository: PUIAS Unsupported i386
Package name: up-imapproxy
Package version: 1.2.7
Package release: 0.2.rc2.PU_IAS.5
Package architecture: i386
Package type: rpm
Installed size: 132.67 KB
Download size: 54.01 KB
Official Mirror: springdale.math.ias.edu
imapproxy was written to compensate for webmail clients that are unable to maintain persistent connections to an IMAP server. Most webmail clients need to log in to an IMAP server for nearly every single transaction. This behaviour can cause tragic performance problems on the IMAP server. imapproxy tries to deal with this problem by leaving server connections open for a short time after a webmail client logs out. When the webmail client connects again, imapproxy will determine if there's a cached connection available and reuse it if possible.

Provides

  • config(up-imapproxy) = 1.2.7-0.2.rc2.PU_IAS.5
  • up-imapproxy = 1.2.7-0.2.rc2.PU_IAS.5

    Install Howto

    1. Create the repository config file /etc/yum.repos.d/puias-unsupported.repo:
      [puias-unsupported]
      name=PUIAS Unsupported
      baseurl=http://springdale.math.ias.edu/data/puias/unsupported/5/i386/
      enabled=1
      gpgcheck=0
      
    2. Install up-imapproxy rpm package:
      # yum install up-imapproxy

    Files

    • /etc/imapproxy.conf
    • /etc/rc.d/init.d/imapproxy
    • /usr/sbin/in.imapproxyd
    • /usr/sbin/pimpstat
    • /usr/share/doc/up-imapproxy-1.2.7/COPYING
    • /usr/share/doc/up-imapproxy-1.2.7/ChangeLog
    • /usr/share/doc/up-imapproxy-1.2.7/README
    • /usr/share/doc/up-imapproxy-1.2.7/README.debian
    • /usr/share/doc/up-imapproxy-1.2.7/README.known_issues
    • /usr/share/doc/up-imapproxy-1.2.7/README.ssl
    • /usr/share/doc/up-imapproxy-1.2.7/copyright
    • /var/run/pimpstats

    Changelog

    2009-07-14 - Josko Plazonic <plazonic@math.princeton.edu> - upgrade to version 1.2.7rc2

    2005-10-11 - Ville Skyttä <ville.skytta at iki.fi> - 1.2.4-4 - Fix for CAN-2005-2661 (#170220, from Debian).

    2005-09-09 - Jeff Carlson <jeff@ultimateevil.org> - 1.2.4-3 - Same as -2.

    2005-09-09 - Jeff Carlson <jeff@ultimateevil.org> - 1.2.4-2 - No-op release bump to get a new buildsys tag.

    2005-09-09 - Jeff Carlson <jeff@ultimateevil.org> - 1.2.4-1 - Bump to current upstream release. - Upstream includes a new doc (copyright), included.

    2005-09-09 - Jeff Carlson <jeff@ultimateevil.org> - 1.2.3-6 - Another change to the init script.

    2005-09-03 - Jeff Carlson <jeff@ultimateevil.org> - 1.2.3-5 - Preserve certain timestamps.

    2005-09-01 - Jeff Carlson <jeff@ultimateevil.org> - 1.2.3-4 - Fix rpmlint complaints. - Paul also provided a replacement init script. - Fixed some redundant BuildReqs. - Tuned Requires, install, and files. - Many thanks to Paul Howarth.

    2005-08-31 - Jeff Carlson <jeff@ultimateevil.org> - 1.2.3-3 - Added BuildRequires.

    2005-08-12 - Jeff Carlson <jeff@ultimateevil.org> - 1.2.3-2 - Multiple fixups recommended by spot.

    Advertisement
    Advertisement